package com.company;

import java.util.ArrayList;

/**
 * a class to keep all the votings in it
 */
public class VotingSystem {
    private ArrayList<Voting> votingList = new ArrayList<>();

    /**
     * adds a new voting to the system
     * @param question  question of the new voting
     * @param type type of new voting
     * @param polls choices of the new vote
     */
    public void createVoting(String question,int type,ArrayList<String> polls){
        Voting temp = new Voting(type,question);
        for(String poll : polls){
            temp.createPoll(poll);
        }
        votingList.add(temp);
    }


    public ArrayList<Voting> getVotingList() {
        return votingList;
    }

    /**
     * gets an index and returns the voting with that index
     * @param index index of the voting that we want
     * @return returns the voting in the given index
     */
    public Voting getVoting(int index){
        if(index > votingList.size()){
            System.out.println("Invalid Voting");
            return null;
        }
        return votingList.get(index);
    }

    /**
     * getsindex of the voting and makes new vote on that voting
     * @param person voter
     * @param answers nswers submited by the voter
     * @param index index of the voting we want to submit answers on
     */
    public void vote(Person person,ArrayList<String> answers,int index){
        if(getVoting(index) == null){
            return;
        }
        getVoting(index).vote(person,answers);
    }

    /**
     * prints results of voting in the given index
     * @param index index of the voting
     */
    public void getResults(int index){
        if(getVoting(index) == null){
            return;
        }
        getVoting(index).printResults();
    }

    /**
     * prints results of all votings
     */
    public void printVotings(){
        for(Voting voting : votingList){
            System.out.println(voting.getQuestion());
        }
    }



}
